Subject: Re: bug#17978: 24.3; forward-paragraph broken with javadocs

From: Stefan Monnier <[email-masked]>
Date: Fri, 11 Jul 2014 09:51:53 -0400

> Or maybe we should save the computed value, but then kill the
> buffer-local value of `paragraph-start'?

That's probably the most straightforward solution, yes.

> `c-setup-paragraph-variables' intentionally sets the variable up this
> way, so maybe we should consider more carefully whether
> `backward-paragraph' should stop at those lines.

Paragraph movement within code is "non standard": I'm sure some users
use it regularly, but I'd expect the vast majority never uses it, and
all programming major modes I know don't seem to care about
paragraph movement.  Many do care about paragraph filling, tho.
So I'm pretty sure that the paragraph-* settings here are meant
specifically for filling and not for movement.

        Stefan